package mx.gob.jumapacelaya.models;

public class PlanAnual {
    private int Numero;
    private String nomEquipo;
    private String departamento;
    private String monitor;
    private String teclado;
    private String mouse;
    private String regulador;
    private String cpu;
    private String impresora;
    private String miniPrint;
    private String laptop;
    private String escaner;
    private String fecha;
    private String smt;
    private String estado;
    private String fechaRealizado;

    // Constructor completo
    public PlanAnual(int Numero, String nomEquipo, String departamento, String monitor,
                     String teclado, String mouse, String regulador,
                     String cpu, String impresora, String miniPrint,
                     String laptop, String escaner, String fecha,
                     String smt, String estado, String fechaRealizado) {

        this.Numero = Numero;
        this.nomEquipo = nomEquipo;
        this.departamento = departamento;
        this.monitor = monitor;
        this.teclado = teclado;
        this.mouse = mouse;
        this.regulador = regulador;
        this.cpu = cpu;
        this.impresora = impresora;
        this.miniPrint = miniPrint;
        this.laptop = laptop;
        this.escaner = escaner;
        this.fecha = fecha;
        this.smt = smt;
        this.estado = estado;
        this.fechaRealizado = fechaRealizado;
    }

    // Getters y setters
    public int getNumero() {
        return Numero;
    }

    public void setNumero(int numero) {
        Numero = numero;
    }

    public String getNomEquipo() {
        return nomEquipo;
    }

    public void setNomEquipo(String nomEquipo) {
        this.nomEquipo = nomEquipo;
    }

    public String getDepartamento() {
        return departamento;
    }

    public void setDepartamento(String departamento) {
        this.departamento = departamento;
    }

    public String getMonitor() {
        return monitor;
    }

    public void setMonitor(String monitor) {
        this.monitor = monitor;
    }

    public String getTeclado() {
        return teclado;
    }

    public void setTeclado(String teclado) {
        this.teclado = teclado;
    }

    public String getMouse() {
        return mouse;
    }

    public void setMouse(String mouse) {
        this.mouse = mouse;
    }

    public String getCpu() {
        return cpu;
    }

    public void setCpu(String cpu) {
        this.cpu = cpu;
    }

    public String getRegulador() {
        return regulador;
    }

    public void setRegulador(String regulador) {
        this.regulador = regulador;
    }

    public String getImpresora() {
        return impresora;
    }

    public void setImpresora(String impresora) {
        this.impresora = impresora;
    }

    public String getMiniPrint() {
        return miniPrint;
    }

    public void setMiniPrint(String miniPrint) {
        this.miniPrint = miniPrint;
    }

    public String getLaptop() {
        return laptop;
    }

    public void setLaptop(String laptop) {
        this.laptop = laptop;
    }

    public String getEscaner() {
        return escaner;
    }

    public void setEscaner(String escaner) {
        this.escaner = escaner;
    }

    public String getFecha() {
        return fecha;
    }

    public void setFecha(String fecha) {
        this.fecha = fecha;
    }

    public String getSmt() {
        return smt;
    }

    public void setSmt(String smt) {
        this.smt = smt;
    }

    public String getEstado() {
        return estado;
    }

    public void setEstado(String estado) {
        this.estado = estado;
    }

    public String getFechaRealizado() {
        return fechaRealizado;
    }

    public void setFechaRealizado(String fechaRealizado) {
        this.fechaRealizado = fechaRealizado;
    }
}
